Allow compartmentalisation/filtering of permissions by Organistion/Location

10/03/2013 03:00 PM - Ken Coar

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice if a user in an organisation could be granted 'edit user' access (etc.) solely for other users within his organisation. 

(Ditto for location.)

As with the usual separation of powers model, the permission should not allow the privileged user to elevate any others to his own

level.  (E.g., in IRC, you typically can only grant your-access-minus-one to others.)

With a limited number of administrators, the ability to delegate this sort of self-maintenance to organisations would be extremely

useful.

Perhaps this can be done as simply as adding the organization and location bits to the filter list on the user profile page.

Related issues:

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Blocked by Foreman - Bug #5929: Taxonomy selectors do not obey assign_$taxono... Closed 05/26/2014

History

#1 - 02/10/2014 02:56 PM - Marek Hulán

- Related to Feature #812: cant assign roles to groups, just to users added

#2 - 02/10/2014 02:57 PM - Marek Hulán

- Difficulty deleted (easy)

Delegation on taxonomy level should work in new permission system. However limiting of assigned permissions can be tricky because user can have

different permissions in different taxonomies. Therefore removing easy difficulty.

#3 - 03/03/2014 01:10 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Target version set to 1.9.0

#4 - 03/03/2014 01:11 PM - Dominic Cleal

We think this is implemented through #812 but it requires further verification and testing, it may need followup work.

#5 - 03/03/2014 02:37 PM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Marek Hulán)

- % Done changed from 0 to 80

#6 - 03/05/2014 11:07 AM - Dominic Cleal
- Blocks Tracker #4552: New permissions/authorization system issues added

#7 - 03/26/2014 01:26 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#8 - 04/24/2014 12:13 PM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#9 - 05/19/2014 12:49 PM - Anonymous

- Target version deleted (1.8.3)

#10 - 05/26/2014 02:34 PM - Marek Hulán

- Blocked by Bug #5929: Taxonomy selectors do not obey assign_$taxonomy permissions added

#11 - 05/26/2014 02:43 PM - Marek Hulán

#5929 should be the last missing part

The role to manage users in other orgs should include two filters, first granting *_users permissions limited to specific org and second allowing

view_organizations and assign_organizations (filtered for ids of specific orgs).

#12 - 06/14/2016 02:41 AM - Marek Hulán

- Status changed from New to Resolved

I think this is implemented for a while, please let us know if there's something missing.
